//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice maxOccurs="unbounded"&gt;
 *         &lt;element name="templateAssociation" type="{}TemplateAssociationDefinition" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element name="template" type="{}TemplateDefinition" maxOccurs="unbounded"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "templateAssociationOrTemplate"
})
@XmlRootElement(name = "rules")
public class Rules {

    @XmlElements({
        @XmlElement(name = "templateAssociation", type = TemplateAssociationDefinition.class),
        @XmlElement(name = "template", type = TemplateDefinition.class)
    })
    private List<Object> templateAssociationOrTemplate;
    
    @XmlTransient
   	private Decor parentObject;

       public Decor getParentObject() {
   		return parentObject;
   	}

   	public void setParentObject(Decor parentObject) {
   		this.parentObject = parentObject;
   	}
   	
   	void afterUnmarshal( javax.xml.bind.Unmarshaller u, Object parent ){
   		this.parentObject = (Decor)parent;
   	}

    /**
     * Gets the value of the templateAssociationOrTemplate property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the templateAssociationOrTemplate property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTemplateAssociationOrTemplate().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TemplateAssociationDefinition }
     * {@link TemplateDefinition }
     * 
     * 
     */
    public List<Object> getTemplateAssociationOrTemplate() {
        if (templateAssociationOrTemplate == null) {
            templateAssociationOrTemplate = new ArrayList<>();
        }
        return this.templateAssociationOrTemplate;
    }

}
